/*
  media-filesystem export utility
  tridge@samba.org, January 2001
  released under the Gnu GPL v2
*/

#include "mfs.h"

static void usage(void)
{
	printf("\n"
"usage: mfs_export [options] <path|fsid> <dest>\n"
"\n"
"   options:\n"
"        -s <start>                     start offset\n"
"        -c <count>                     number of bytes (defaults to all)\n"
);         
	exit(1);
}


 int main(int argc, char *argv[])
{
	int fsid;
	int c;
	u64 start=0;
	u64 count=0;

	while ((c = getopt(argc, argv, "hs:c:")) != -1 ){
		switch (c) {
		case 'h':
			usage();
			break;

		case 's':
			start = strtoll(optarg, NULL, 0);
			break;

		case 'c':
			count = strtoll(optarg, NULL, 0);
			break;			

		default:
			usage();
		}
	}

	argc -= optind;
	argv += optind;

	if (argc < 2) {
		usage();
	}

	mfs_init();
	fsid = mfs_resolve(argv[0]);
	export_file(stdout, fsid, argv[1], start, count);
	return 0;
}
