/*
  media-filesystem streams list
  tridge@samba.org, January 2001
  released under the Gnu GPL v2
*/

#include "mfs.h"

static void usage(void)
{
	printf("\n"
"usage: mfs_streams <path>\n"
);
	exit(1);
}


 int main(int argc, char *argv[])
{
	char *path = NULL;
	int c;

	while ((c = getopt(argc, argv, "")) != -1 ){
		switch (c) {
		default:
			usage();
		}
	}

	argc -= optind;
	argv += optind;

	if (argc >= 1) {
		path = argv[0];
	}

	mfs_init();

	if (!path) {
		if (mfs_resolve("/Recording/NowShowing") != 0) {
			path = "/Recording/NowShowing";
		} else {
			path = "/Recording/Complete";
		}
	}

	printf("Listing streams in %s\n", path);
	query_streams(path);

	return 0;
}
